NBA 2K19 not working on SX OS 2.0

Discussion in 'Switch - Exploits, Custom Firmwares & Soft Mods' started by HOv, Sep 25, 2018.

  1. HOv
    OP

    HOv Advanced Member

    Newcomer
    2
    Aug 30, 2018
    United States
    As the title says....

    So I haven't played the game in a while. Last time I played it I was on SX 1.9 on firmware 5.1 and it was working fine. Now that my sx os is updated to 2.0 while still on 5.1 firmware, I tried to boot up the game and it just froze forcing me to force shutdown my switch. Tried a couple of times again and nothing. I thought my SD card got corrupted but all other games seems to be working fine.

    Any thoughts?
     
  2. Ashura66

    Ashura66 GBAtemp Advanced Maniac

    Member
    6
    Feb 1, 2016
    Portugal
    Under my bed
    Try downgrading back to SX OS 1.9. If it's still working then it's yet ANOTHER game not compatible with the 2.0 update. Someone should keep a list
     
  3. HOv
    OP

    HOv Advanced Member

    Newcomer
    2
    Aug 30, 2018
    United States
    Oh wow, there's other games that stopped working on sx os 2.0? I really don't wanna downgrade because I'm using a homebrew nsp and it will only work on 2.0
     
  4. Ashura66

    Ashura66 GBAtemp Advanced Maniac

    Member
    6
    Feb 1, 2016
    Portugal
    Under my bed
    A couple yeah. Doom, Xenoblade Chronicles 2 and The Messenger. Though most of these are a combination of SX OS 2.0 and OFW 6.0. Yours is the first reported not working on SX OS 2.0 while OFW is still 5.1
     
  5. HOv
    OP

    HOv Advanced Member

    Newcomer
    2
    Aug 30, 2018
    United States
    I tested the games you listed and only the messenger didn't work. The rest works just fine. So so far, NBA 2k19 and the messenger doesn't work on SX OS 2.0 on firmware 5.1

    I will do some more test on other games and list the none working ones here. I'll be back with an update.
     
  6. yee

    yee DOTA 4EVER

    Member
    3
    Jul 9, 2006
    Canada
    Vancouver
    BTW, make sure for NBA 2K19 that you download the major update.
     
    Albytrozz likes this.
  7. andyhappypants

    andyhappypants Pika!

    Member
    5
    Jul 27, 2012
    United Kingdom
    Hoenn
    Doom and the messenger DONT work on 6.0 you are using 5.1 which is why they worked.
     
  8. Ashura66

    Ashura66 GBAtemp Advanced Maniac

    Member
    6
    Feb 1, 2016
    Portugal
    Under my bed
    Again, you're still on 5.1. I pointed out that these games don't work on a combination of SX OS 2.0 and OFW 6.0
     
  9. Albytrozz

    Albytrozz GBAtemp Regular

    Member
    4
    Jun 10, 2018
    United States
    I would like to agree that it is an issue with SX OS 2.0 and its implementation of LayeredFS. I ran into a number of crashing issues on 2.0, downgrading to 1.9 fixed the crashes.

    I'm on 5.1 as well.
     
  10. HiFX93

    HiFX93 Newbie

    Newcomer
    1
    Jul 9, 2018
    Canada
    I am on FW 6.0 and had SX OS 2.0. I also had the same loading issues with 2K19.
    Downgrading to 1.9 fixed this
     
  11. HOv
    OP

    HOv Advanced Member

    Newcomer
    2
    Aug 30, 2018
    United States
    I was going to downgrade but I just installed retronx nsp and it would only work on 2.0. If I downgrade to 1.9 it will stop working. I play with the retronx more than NBA 2k19, so I don't wanna give it up.
     
  12. darrin41

    darrin41 GBAtemp Regular

    Member
    4
    Jan 13, 2016
    United States
    doom works just fine
     
  13. Ashura66

    Ashura66 GBAtemp Advanced Maniac

    Member
    6
    Feb 1, 2016
    Portugal
    Under my bed
    Are you on SX OS 2.0 AND OFW 6.0?
     
  14. darrin41

    darrin41 GBAtemp Regular

    Member
    4
    Jan 13, 2016
    United States
    Yep
     
  15. Ashura66

    Ashura66 GBAtemp Advanced Maniac

    Member
    6
    Feb 1, 2016
    Portugal
    Under my bed
    And yet again, super strange that it's not the case for everyone
     
  16. darrin41

    darrin41 GBAtemp Regular

    Member
    4
    Jan 13, 2016
    United States
    Yes i installed yesterday for a friend ofw 6.0 and 2.0 tx os..forgot to mention it did ask for update so i had to do it
     
    Last edited by darrin41, Sep 27, 2018
  17. themyst

    themyst GBAtemp Regular

    Member
    3
    Mar 5, 2008
    United States
    Ah, I came into search to see if there's issues with SXOS 2.0, turns out a ton of games do :( Do my previously installed .nsps work if I downgrade to 1.9?

    I'm still on 5.1. Will emunand if and when games start becoming 6.0+ mandatory.
     
  18. kkcheong

    kkcheong GBAtemp Regular

    Member
    3
    May 15, 2018
    Malaysia
    Why are people upgrade their sxos? 1.6 run fine for me.
     
  19. alepman90

    alepman90 GBAtemp Advanced Fan

    Member
    6
    Oct 10, 2014
    The messenger won’t work on 2.0 but works fine on 1.9 (fw 5.1)
     
  20. snyperstyle

    snyperstyle Newbie

    Newcomer
    1
    Dec 15, 2008
    United States
    i cant get sine more or ikaruga to run either i have 6.0 and 2.2 beta. do they work if installed as nsp? ive never installed one before because i hear they get you flagged
     
Loading...